cURL
curl -X GET "https://api.fitsociety.io/public/v1/finance/clients/{clientId}/credits" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/finance/clients/{clientId}/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/finance/clients/{clientId}/credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"totalAvailable": 123,
"credits": [
{
"creditId": "<string>",
"status": "<string>",
"productType": "<string>",
"poolKey": "<string>",
"poolName": "<string>",
"poolMode": "<string>",
"totalCredits": 123,
"usedCredits": 123,
"availableCredits": 123,
"startDate": "<string>",
"expiryDate": "<string>",
"allowNegativeCredits": true,
"subscriptionId": "<string>"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Credits and client products
List client credits
Requires finance_credits:read.
GET
/
public
/
v1
/
finance
/
clients
/
{clientId}
/
credits
cURL
curl -X GET "https://api.fitsociety.io/public/v1/finance/clients/{clientId}/credits" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/finance/clients/{clientId}/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/finance/clients/{clientId}/credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"totalAvailable": 123,
"credits": [
{
"creditId": "<string>",
"status": "<string>",
"productType": "<string>",
"poolKey": "<string>",
"poolName": "<string>",
"poolMode": "<string>",
"totalCredits": 123,
"usedCredits": 123,
"availableCredits": 123,
"startDate": "<string>",
"expiryDate": "<string>",
"allowNegativeCredits": true,
"subscriptionId": "<string>"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_....
Path Parameters
Example:
"66f7b8b1e13c8d25f4d3d90a"
⌘I